## lxd 2.15

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,12 @@
 	go get -t -v -d -u ./...
 	@echo "Dependencies updated"
 
+.PHONY: debug
+debug:
+	go get -t -v -d ./...
+	go install -v $(TAGS) -tags logdebug $(DEBUG) ./...
+	@echo "LXD built successfully"
+
 # This only needs to be done when migrate.proto is actually changed; since we
 # commit the .pb.go in the tree and it's not expected to change very often,
 # it's not a default build step.
@@ -51,30 +57,30 @@
 dist:
 	# Cleanup
 	rm -Rf $(ARCHIVE).gz
-	
+
 	# Create build dir
 	$(eval TMP := $(shell mktemp -d))
 	git archive --prefix=lxd-$(VERSION)/ HEAD | tar -x -C $(TMP)
 	mkdir -p $(TMP)/dist/src/github.com/lxc
 	ln -s ../../../../lxd-$(VERSION) $(TMP)/dist/src/github.com/lxc/lxd
-	
+
 	# Download dependencies
 	cd $(TMP)/lxd-$(VERSION) && GOPATH=$(TMP)/dist go get -t -v -d ./...
-	
+
 	# Workaround for gorilla/mux on Go < 1.7
 	cd $(TMP)/lxd-$(VERSION) && GOPATH=$(TMP)/dist go get -v -d github.com/gorilla/context
-	
+
 	# Assemble tarball
 	rm $(TMP)/dist/src/github.com/lxc/lxd
 	ln -s ../../../../ $(TMP)/dist/src/github.com/lxc/lxd
 	mv $(TMP)/dist $(TMP)/lxd-$(VERSION)/
 	tar --exclude-vcs -C $(TMP) -zcf $(ARCHIVE).gz lxd-$(VERSION)/
-	
+
 	# Cleanup
 	rm -Rf $(TMP)
 
 .PHONY: i18n update-po update-pot build-mo static-analysis
-i18n: update-pot
+i18n: update-pot update-po
 
 po/%.mo: po/%.po
 	msgfmt --statistics -o $@ $<
@@ -95,7 +101,7 @@
 build-mo: $(MOFILES)
 
 static-analysis:
-	/bin/bash -x -c ". test/static_analysis.sh; static_analysis"
+	(cd test;  /bin/sh -x -c ". suites/static_analysis.sh; test_static_analysis")
 
 tags: *.go lxd/*.go shared/*.go lxc/*.go
 	find . | grep \.go | grep -v git | grep -v .swp | grep -v vagrant | xargs gotags > tags
