=== debian/changelog ===
lxd (2.15-0ubuntu6~ubuntu16.10.1) yakkety-backports; urgency=medium

  * Backport to Xenial.
  * Disable shared libraries.
  * Use embedded dependencies for backport.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 06 Jul 2017 01:00:09 -0400
