=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,8 @@
 # temporary build path (see http://golang.org/doc/code.html#GOPATH)
 export DH_GOPKG := github.com/lxc/lxd
 export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
-export USE_EMBEDDED := false
-export USE_SHLIBS := true
+export USE_EMBEDDED := true
+export USE_SHLIBS := false
 
 ifeq ($(USE_SHLIBS), true)
 export DH_GOLANG_LINK_SHARED := 1
@@ -62,6 +62,7 @@
 	# Packaged dependencies
 	debian/helpers/link-from-installed github.com/dustinkirkland/golang-petname
 	debian/helpers/link-from-installed github.com/golang/protobuf
+	debian/helpers/link-from-installed github.com/gorilla/context
 	debian/helpers/link-from-installed github.com/gorilla/mux
 	debian/helpers/link-from-installed github.com/gorilla/websocket
 	debian/helpers/link-from-installed github.com/gosexy/gettext
