## lxd 2.18

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,11 @@
 update:
 	go get -t -v -d -u ./...
 	@echo "Dependencies updated"
+
+.PHONY: update
+update-schema:
+	go run -v $(TAGS) ./lxd/schema.go
+	@echo "Schema source code updated"
 
 .PHONY: debug
 debug:
@@ -96,7 +101,7 @@
 
 update-pot:
 	go get -v -x github.com/snapcore/snapd/i18n/xgettext-go/
-	xgettext-go -o po/$(DOMAIN).pot --add-comments-tag=TRANSLATORS: --sort-output --package-name=$(DOMAIN) --msgid-bugs-address=lxc-devel@lists.linuxcontainers.org --keyword=i18n.G --keyword-plural=i18n.NG *.go shared/*.go lxc/*.go lxd/*.go
+	xgettext-go -o po/$(DOMAIN).pot --add-comments-tag=TRANSLATORS: --sort-output --package-name=$(DOMAIN) --msgid-bugs-address=lxc-devel@lists.linuxcontainers.org --keyword=i18n.G --keyword-plural=i18n.NG shared/*.go lxc/*.go lxd/*.go
 
 build-mo: $(MOFILES)
