=== debian/control ===
--- 
+++ 
@@ -2,23 +2,42 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: https://linuxcontainers.org/
 Vcs-Git: https://github.com/lxc/lxd-pkg-ubuntu
 Vcs-Browser: https://github.com/lxc/lxd-pkg-ubuntu
 Build-Depends: debhelper (>= 9),
                dh-apparmor,
                dh-golang,
-               dh-systemd,
+               debhelper (>= 9.20160709) | dh-systemd,
                golang-go,
+               golang-any-shared-dev,
+               golang-go.crypto-dev,
+               golang-github-gorilla-context-dev,
+               golang-github-gorilla-mux-dev,
+               golang-github-gosexy-gettext-dev,
+               golang-github-mattn-go-colorable-dev,
+               golang-github-mattn-go-sqlite3-dev,
+               golang-github-olekukonko-tablewriter-dev,
+               golang-github-pborman-uuid-dev,
+               golang-gocapability-dev,
+               golang-gopkg-flosch-pongo2.v3-dev,
+               golang-gopkg-inconshreveable-log15.v2-dev,
+               golang-gopkg-lxc-go-lxc.v2-dev,
+               golang-gopkg-tomb.v2-dev,
+               golang-goprotobuf-dev,
+               golang-petname-dev,
+               golang-yaml.v2-dev,
+               golang-websocket-dev,
                help2man,
+               libacl1-dev,
                libsqlite3-dev,
                lxc-dev (>= 1.1.0~),
                pkg-config,
                python3-lxc
 
 Package: lxd-client
-Architecture: any
+Architecture: amd64 arm64 armhf i386 ppc64el s390x
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
 Suggests: lxd
@@ -31,13 +50,13 @@
  This package contains the command line client.
 
 Package: lxd
-Architecture: any
+Architecture: amd64 arm64 armhf i386 ppc64el s390x
 Depends: acl,
          adduser,
          dnsmasq-base,
          ebtables,
          iptables,
-         liblxc1 (>= 2.0.0~),
+         liblxc1 (>= 2.1.0~),
          lsb-base (>= 3.0-6),
          lxd-client (= ${binary:Version}),
          lxcfs,
@@ -45,6 +64,7 @@
          rsync,
          squashfs-tools,
          uidmap (>= 1:4.1.5.1-1ubuntu5~),
+         xdelta3,
          xz-utils,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -68,7 +88,7 @@
  This is a dummy metapackage to install LXD and its client.
 
 Package: lxd-tools
-Architecture: any
+Architecture: amd64 arm64 armhf i386 ppc64el s390x
 Depends: ${misc:Depends}, ${shlibs:Depends}, python3, python3-lxc
 Built-Using: ${misc:Built-Using}
 Description: Container hypervisor based on LXC - extra tools
