=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,13 @@
 
 PKGDIR=debian/tmp
 VERSION=$(shell grep "var Version" $(CURDIR)/shared/version/flex.go | cut -d'"' -f2)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/default.mk
 
 # temporary build path (see http://golang.org/doc/code.html#GOPATH)
 export DH_GOPKG := github.com/lxc/lxd
 export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
-export USE_EMBEDDED := true
-export USE_SHLIBS := false
+export USE_EMBEDDED := false
+export USE_SHLIBS := true
 
 ifeq ($(USE_SHLIBS), true)
 export DH_GOLANG_LINK_SHARED := 1
@@ -91,8 +91,8 @@
 	mkdir -p $(PKGDIR)/usr/share/man/man1/
 	help2man $(PKGDIR)/usr/bin/fuidshift -n "uid/gid shifter" --no-info > $(PKGDIR)/usr/share/man/man1/fuidshift.1
 	help2man $(PKGDIR)/usr/bin/lxc-to-lxd -n "Convert LXC containers to LXD" --no-info --version-string=$(VERSION) > $(PKGDIR)/usr/share/man/man1/lxc-to-lxd.1
-	help2man $(PKGDIR)/usr/bin/lxd -n "The container lightervisor - daemon" --no-info > $(PKGDIR)/usr/share/man/man1/lxd.1
-	help2man $(PKGDIR)/usr/bin/lxd-benchmark -n "The container lightervisor - benchmark" --no-info --version-string=$(VERSION) --no-discard-stderr > $(PKGDIR)/usr/share/man/man1/lxd-benchmark.1
+	help2man $(PKGDIR)/usr/bin/lxd -n "The container lightervisor - daemon" --no-info --no-discard-stderr > $(PKGDIR)/usr/share/man/man1/lxd.1
+	help2man $(PKGDIR)/usr/bin/lxd-benchmark -n "The container lightervisor - benchmark" --no-info --no-discard-stderr > $(PKGDIR)/usr/share/man/man1/lxd-benchmark.1
 	$(PKGDIR)/usr/bin/lxc manpage $(PKGDIR)/usr/share/man/man1/
 
 	# Install bash completion scripts
@@ -121,6 +121,16 @@
 	dh_install
 
 override_dh_installinit:
+ifeq (,$(findstring $(DEB_DISTRIBUTION), trusty xenial zesty))
+	# Disable upstart integration on artful+
+	rm -f debian/lxd.upstart
+	cp debian/lxd.maintscript.in debian/lxd.maintscript
+else
+	# Enable upstart integration for backports
+	cp debian/lxd.upstart.in debian/lxd.upstart
+	sed -i "s#@LIBEXECDIR@#/usr/lib/${DEB_HOST_MULTIARCH}#g" debian/lxd.upstart
+	grep -v /etc/init debian/lxd.maintscript.in > debian/lxd.maintscript
+endif
 	# We handle starting and restarting things ourselves
 	dh_systemd_enable -plxd --name=lxd-containers lxd-containers.service
 	dh_installinit -plxd --no-start
@@ -129,7 +139,6 @@
 
 	# Update arch-specific paths
 	sed -i "s#@LIBEXECDIR@#/usr/lib/${DEB_HOST_MULTIARCH}#g" debian/lxd/lib/systemd/system/lxd.service
-	sed -i "s#@LIBEXECDIR@#/usr/lib/${DEB_HOST_MULTIARCH}#g" debian/lxd/etc/init/lxd.conf
 	sed -i "s#@LIBEXECDIR@#/usr/lib/${DEB_HOST_MULTIARCH}#g" debian/lxd/etc/init.d/lxd
 
 override_dh_systemd_start:
