=== debian/changelog ===
lxd (2.21-0ubuntu2~17.04.1) zesty-backports; urgency=medium

  * Backport to Zesty.
  * Reduce liblxc dependency to >= 2.0.0~.
  * Build using Go 1.9 backport.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 22 Dec 2017 17:35:30 -0500
