=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.2
 Homepage: https://linuxcontainers.org/
 Vcs-Git: https://github.com/lxc/lxd-pkg-ubuntu
 Vcs-Browser: https://github.com/lxc/lxd-pkg-ubuntu
@@ -10,25 +10,7 @@
                dh-apparmor,
                dh-golang,
                debhelper (>= 9.20160709) | dh-systemd,
-               golang-go,
-               golang-any-shared-dev,
-               golang-go.crypto-dev,
-               golang-github-gorilla-context-dev,
-               golang-github-gorilla-mux-dev,
-               golang-github-gosexy-gettext-dev,
-               golang-github-mattn-go-colorable-dev,
-               golang-github-mattn-go-sqlite3-dev,
-               golang-github-olekukonko-tablewriter-dev,
-               golang-github-pborman-uuid-dev,
-               golang-gocapability-dev,
-               golang-gopkg-flosch-pongo2.v3-dev,
-               golang-gopkg-inconshreveable-log15.v2-dev,
-               golang-gopkg-lxc-go-lxc.v2-dev,
-               golang-gopkg-tomb.v2-dev,
-               golang-goprotobuf-dev,
-               golang-petname-dev,
-               golang-yaml.v2-dev,
-               golang-websocket-dev,
+               golang-1.9-go,
                help2man,
                libacl1-dev,
                libsqlite3-dev,
@@ -56,7 +38,7 @@
          dnsmasq-base,
          ebtables,
          iptables,
-         liblxc1 (>= 2.1.0~),
+         liblxc1 (>= 2.0.0~),
          lsb-base (>= 3.0-6),
          lxd-client (= ${binary:Version}),
          lxcfs,
@@ -79,7 +61,6 @@
 Package: lxc2
 Architecture: all
 Depends: lxd, lxd-client, ${misc:Depends}
-Priority: extra
 Section: metapackages
 Description: Container hypervisor based on LXC - metapackage
  LXD offers a REST API to remotely manage containers over the network,
