=== dist/src/github.com/CanonicalLtd/dqlite/Makefile ===
proto:
	protoc --gofast_out=. internal/protocol/commands.proto

.PHONY: proto
