=== dist/src/github.com/CanonicalLtd/go-grpc-sql/Makefile ===
proto:
	protoc --gofast_out=plugins=grpc:. internal/protocol/sql.proto
