=== dist/src/github.com/cpuguy83/go-md2man/Makefile ===
check:
	gometalinter --config .gometalinter.json ./...
