=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: https://linuxcontainers.org/
 Vcs-Git: https://github.com/lxc/lxd-pkg-ubuntu
 Vcs-Browser: https://github.com/lxc/lxd-pkg-ubuntu
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-apparmor,
                dh-golang,
-               debhelper (>= 9.20160709) | dh-systemd,
-               golang-1.9-go,
+               golang-go,
                help2man,
                libacl1-dev,
-               libsqlite3-dev,
                lxc-dev (>= 1.1.0~),
                pkg-config,
-               python3-lxc
+               python3-lxc,
+               tcl8.6-dev
+XS-Go-Import-Path: github.com/lxc/lxd
 
 Package: lxd-client
 Architecture: amd64 arm64 armhf i386 ppc64el s390x
@@ -38,7 +38,7 @@
          dnsmasq-base,
          ebtables,
          iptables,
-         liblxc1 (>= 2.0.0~),
+         liblxc1 (>= 2.1.0~),
          lsb-base (>= 3.0-6),
          lxd-client (= ${binary:Version}),
          lxcfs,
@@ -58,16 +58,6 @@
  .
  This package contains the LXD daemon.
 
-Package: lxc2
-Architecture: all
-Depends: lxd, lxd-client, ${misc:Depends}
-Section: metapackages
-Description: Container hypervisor based on LXC - metapackage
- LXD offers a REST API to remotely manage containers over the network,
- using an image based workflow and with support for live migration.
- .
- This is a dummy metapackage to install LXD and its client.
-
 Package: lxd-tools
 Architecture: amd64 arm64 armhf i386 ppc64el s390x
 Depends: ${misc:Depends}, ${shlibs:Depends}, python3, python3-lxc
@@ -80,12 +70,3 @@
   - fuidshift - A tool to map/unmap filesystem uids/gids
   - lxc-to-lxd - A tool to migrate LXC containers to LXD
   - lxd-benchmark - A benchmarking tool for LXD
-
-Package: golang-github-lxc-lxd-dev
-Architecture: all
-Depends: golang-go, lxc-dev, pkg-config, ${misc:Depends}, ${shlibs:Depends}
-Description: Container hypervisor based on LXC - go source
- LXD offers a REST API to remotely manage containers over the network,
- using an image based workflow and with support for live migration.
- .
- This package contains the source tree of the lxd project.
