=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,8 @@
 export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
 export USE_EMBEDDED := true
 export USE_SHLIBS := false
-
-# use golang-1.9
-export PATH := /usr/lib/go-1.9/bin:$(PATH)
+export CGO_LDFLAGS=-L$(CURDIR)/dist/sqlite/.libs/
+export CGO_CFLAGS=-I$(CURDIR)/dist/sqlite/
 
 ifeq ($(USE_SHLIBS), true)
 export DH_GOLANG_LINK_SHARED := 1
@@ -24,8 +23,11 @@
 %:
 	dh $@ --with systemd --buildsystem=golang --with=golang
 
-# Make sure we use the distro libsqlite3
 override_dh_auto_build:
+	# Build our own sqlite3
+	cd dist/sqlite && ./configure --enable-replication && make
+
+	# And then build using it
 	dh_auto_build -- -tags libsqlite3
 
 # Ugly workaround for bundled dependencies
@@ -94,13 +96,13 @@
 	mkdir -p $(PKGDIR)/usr/share/man/man1/
 	help2man $(PKGDIR)/usr/bin/fuidshift -n "uid/gid shifter" --no-info > $(PKGDIR)/usr/share/man/man1/fuidshift.1
 	help2man $(PKGDIR)/usr/bin/lxc-to-lxd -n "Convert LXC containers to LXD" --no-info --version-string=$(VERSION) > $(PKGDIR)/usr/share/man/man1/lxc-to-lxd.1
-	help2man $(PKGDIR)/usr/bin/lxd -n "The container lightervisor - daemon" --no-info --no-discard-stderr > $(PKGDIR)/usr/share/man/man1/lxd.1
 	help2man $(PKGDIR)/usr/bin/lxd-benchmark -n "The container lightervisor - benchmark" --no-info --no-discard-stderr > $(PKGDIR)/usr/share/man/man1/lxd-benchmark.1
+	$(PKGDIR)/usr/bin/lxd manpage $(PKGDIR)/usr/share/man/man1/
 	$(PKGDIR)/usr/bin/lxc manpage $(PKGDIR)/usr/share/man/man1/
 
 	# Install bash completion scripts
 	mkdir -p $(PKGDIR)/usr/share/bash-completion/completions/
-	cp config/bash/lxd-client $(PKGDIR)/usr/share/bash-completion/completions/lxc
+	cp scripts/bash/lxd-client $(PKGDIR)/usr/share/bash-completion/completions/lxc
 
 	# Prepare dev package
 	rm -Rf $(PKGDIR)/usr/share/gocode/src/github.com/lxc/
@@ -120,6 +122,14 @@
 	mkdir -p $(PKGDIR)/etc/sysctl.d
 	cp debian/lxd.sysctl $(PKGDIR)/etc/sysctl.d/10-lxd-inotify.conf
 
+	# Include wrappers and sqlite3 library
+	mkdir -p $(PKGDIR)/usr/lib/lxd/
+	mv $(PKGDIR)/usr/bin/lxd $(PKGDIR)/usr/lib/lxd/
+	cp debian/wrappers/lxd $(PKGDIR)/usr/bin/
+	cp debian/wrappers/shutdown $(PKGDIR)/usr/lib/lxd/
+	cp debian/wrappers/upgrade-bridge $(PKGDIR)/usr/lib/lxd/
+	cp dist/sqlite/.libs/libsqlite3.so.0* $(PKGDIR)/usr/lib/lxd/
+
 	# Trigger normal dh_install
 	dh_install
 
@@ -138,7 +148,7 @@
 	dh_systemd_enable -plxd --name=lxd-containers lxd-containers.service
 	dh_installinit -plxd --no-start
 	dh_installinit -plxd --name=lxd-containers --no-start --noscripts
-	dh_systemd_start -plxd lxd-containers.service --no-restart-on-upgrade
+	dh_systemd_start -plxd lxd-containers.service --no-restart-on-upgrade --no-restart-after-upgrade
 
 	# Update arch-specific paths
 	sed -i "s#@LIBEXECDIR@#/usr/lib/${DEB_HOST_MULTIARCH}#g" debian/lxd/lib/systemd/system/lxd.service
