=== debian/tests/control ===
Tests: exercise
Depends: acl,
         busybox-static,
         btrfs-tools,
         curl,
         flake8,
         golang-go,
         jq,
         git,
         gettext,
         make,
         pep8,
         pyflakes3,
         shellcheck,
         sqlite3,
         thin-provisioning-tools,
         uuid-runtime,
         zfsutils-linux [amd64 arm64 ppc64el s390x],
         @builddeps@,
         @
Restrictions: needs-root allow-stderr isolation-machine
